/*
 * ArchivoModel.java
 *
 * Created on 14 de marzo de 2007, 10:49 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @author 
 */
public class ArchivoModel {

	private int longitudCampos;

	private String tipoArchivo;

	private List<CampoValidaciones> camposValidacion = new ArrayList<CampoValidaciones>();

	private String nombreArchivoEntrada;

	private String nombreArchivoSalida;

	private EstadisticasBean estadisticas = new EstadisticasBean();

	private String version;

	/** Creates a new instance of ArchivoModel */
	public ArchivoModel() {
	}

	public List<CampoValidaciones> getCamposValidacion() {
		return camposValidacion;
	}

	public void setCamposValidacion(List<CampoValidaciones> camposValidacion) {
		this.camposValidacion = camposValidacion;
	}

	public int getLongitudCampos() {
		return longitudCampos;
	}

	public void setLongitudCampos(int longitudCampos) {
		this.longitudCampos = longitudCampos;
	}

	public String getTipoArchivo() {
		return tipoArchivo;
	}

	public void setTipoArchivo(String tipoArchivo) {
		this.tipoArchivo = tipoArchivo;
	}

	public String getNombreArchivoSalida() {
		return nombreArchivoSalida;
	}

	public void setNombreArchivoSalida(String nombreArchivoSalida) {
		this.nombreArchivoSalida = nombreArchivoSalida;
	}

	public String getNombreArchivoEntrada() {
		return nombreArchivoEntrada;
	}

	public void setNombreArchivoEntrada(String nombreArchivoEntrada) {
		this.nombreArchivoEntrada = nombreArchivoEntrada;
	}

	public EstadisticasBean getEstadisticas() {
		return estadisticas;
	}

	public void setEstadisticas(EstadisticasBean estadisticas) {
		this.estadisticas = estadisticas;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}
}
